Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class TemplateList

    java.lang.Object
      |
      +--org.apache.xalan.templates.TemplateList

Direct Known Subclasses:
  WhitespaceList

public class TemplateList
extends java.lang.Object
implements java.io.Serializable

**For advanced use only** Encapsulates a template list, and helps locate individual templates.

See Also:
  Serialized Form

Method Summary
`void` | `compose()` **For advanced use only** After all templates have been added, this function should be called.
`ElemTemplate` | `getTemplate(QName qname)` **For advanced use only** Locate a macro via the "name" attribute.
`ElemTemplate` | `getTemplate(XPathContext xctxt, Node targetNode, QName mode, boolean quietConflictWarnings)` **For advanced use only** Given a target element, find the template that best matches in the given XSL document, according to the rules specified in the xsl draft.
`void` | `setTemplate(ElemTemplate template)` **For advanced use only** Add a template to the template list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setTemplate

    public void setTemplate(ElemTemplate template)

  **For advanced use only** Add a template to the template list.
  Parameters:
    `template` -

### compose

    public void compose()

  **For advanced use only** After all templates have been added, this function should be called.

### getTemplate

    public ElemTemplate getTemplate(QName qname)

  **For advanced use only** Locate a macro via the "name" attribute.
  Parameters:
    `qname` -
  Returns:
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### getTemplate

    public ElemTemplate getTemplate(XPathContext xctxt,
                                    Node targetNode,
                                    QName mode,
                                    boolean quietConflictWarnings)
                             throws SAXException

  **For advanced use only** Given a target element, find the template that best matches in the given XSL document, according to the rules specified in the xsl draft.
  Parameters:
    `stylesheetTree` - Where the XSL rules are to be found.
    `targetElem` - The element that needs a rule.
    `xctxt` -
    `targetNode` -
    `mode` - A string indicating the display mode.
    `useImports` - means that this is an xsl:apply-imports commend.
    `quietConflictWarnings` -
  Returns:
    Rule that best matches targetElem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
    SAXException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.